/* CSS Document */

/* hidden for back button */
.btn-back-top{
    display: flex;
}
/* ログインパネルを縦も中央に */
.content-inner{
    height: calc(100vh - 350px);
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 300px;
}
.signin-panel{
    display: flex;
    flex-direction: column;
    align-items: center;
    align-self: center;
    font-size: 2rem;
}
.logo-image{
    width: 100px;
    margin-bottom: 6rem;
}
/* input parts */
.input-panel{
    display: flex;
    margin-bottom: 3rem;
    margin-left: -6rem;
}
label{
    margin-right: 1rem;
}
input{
    border: 1px solid #2d2829;
    padding: 0.6rem 1rem;
    border-radius: 0.2rem;
}
/* ログインボタン */
.login-button{
    display: flex;
    justify-content: space-around;
}
button#enter {
  display: block;
  width: 125px;
  height: 30px;
  background: #ed352d;
  border-radius: 0.4rem;
  position: relative;
  border: 1px solid #d3211b;
}
button#enter .glare{
  position: absolute;
  display: block;
  background: rgba(255,255,255,0.3);
  width: 100%;
  height: 12px;
  top: 0;
  left: 0;
  border-radius: 0.4rem 0.4rem 100% 100%;
}
button#enter .text{
  color: rgba(255,255,255,0.9);
  font-weight: bold;
  display: block;
  position: absolute;
  top: 0.3rem;
  left: 0;
  font-size: 1.6rem;
  text-align: center;
  width: 100%;
  height: 30px;
  letter-spacing: 0.1rem;
  z-index: 1;
}
/* スマホ */
@media only screen and (max-width:599px) {
    .input-panel{
       margin-left: 0;
       flex-direction: column;
    }
    .input-panel label{
        margin-bottom: 1rem;
        text-align: center;
    }
    .input-panel input{
        max-width: 360px;
    }
   .login-button{
       align-items: center;
    }
}